# openstack.identity.v3.role

## The Role Class

The `Role` class inherits from `Resource`.

class openstack.identity.v3.role.Role(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'role'

    Singular form of key for resource.

  resources_key = 'roles'

    Plural form of key for resource.

  base_path = '/roles'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  commit_method = 'PATCH'

    Method for committing a resource (PUT, PATCH, POST)

  name

    Unique role name, within the owning domain. Type: string

  description

    User-facing description of the role. Type: string

  domain_id

    References the domain ID which owns the role. Type: string

  options

    The resource options for the role. Available resource options are immutable.

  links

    The links for the service resource.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.